import { saveDicomInfo2PacsonlineByFileUpload } from './saveDicom2PacsonlineByFileUpload'
import charsetFormat from '../utils/dicomCharsetFormat'
/** 存储dicom数据 */
const saveDicom = async(dataSet, size, url, metadata, hospitalId, isWAN = true) => {

    charsetFormat(dataSet, hospitalId === '73090026' ? 'UTF-8' : 'GB18030')
    return await _saveDicomByFileUpload(dataSet, size, url, metadata, hospitalId, isWAN)
  }
  /** 存储通过upload接口上传的dicom数据 */
const _saveDicomByFileUpload = async(dataSet, size, url, metadata, hospitalId, isWAN) => {
  const pacsonlineFlag = await saveDicomInfo2PacsonlineByFileUpload(dataSet, size, url, metadata, hospitalId, isWAN)
  return { pacsonlineFlag }
}
export { saveDicom }
